TADPMU(4) | Device Drivers Manual (sparc64) | TADPMU(4)

# NAME

`tda` — Tadpole PMU

# SYNOPSIS

`Tadpole PMU Version 1.33`

# DESCRIPTION

The `tda` driver provides basic support for the Tadpole PMU found in Tadpole SPARCle and Viper systems. The status of the AC adapter, battery, and fan are reported via the envstat(8) interface, and AC adapter and lid switch events are reported via the sysmon_pswitch(9) interface.

# SEE ALSO

envstat(8)

# BUGS

The battery status is reported by reading the battery voltage. Pp. The points at which the battery level becomes warning and critical are reported by the PMU, but are not directly correlated with battery voltage, so might be misreported by the driver.

May 16, 2020 | NetBSD 11.0